TestFormPropertyConfig (Struts Core 1.3.10 Test API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.config
Class TestFormPropertyConfig

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.struts.config.TestFormPropertyConfig

All Implemented Interfaces:
  junit.framework.Test

    public class TestFormPropertyConfig

extends junit.framework.TestCase

Unit tests for the `org.apache.struts.config.FormPropertyConfig` class.

Version:
  $Rev: 471754 $ $Date: 2005-05-21 19:06:53 -0400 (Sat, 21 May 2005) $

Constructor Summary
`TestFormPropertyConfig()`

Method Summary
`void` | `testBasicInherit()`
`void` | `testInheritWithInitialOverride()`
`void` | `testInheritWithSizeOverride()`
`void` | `testInheritWithTypeOverride()`
`void` | `testInheritWithTypeOverride2()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestFormPropertyConfig

    public TestFormPropertyConfig()

Method Detail

### testBasicInherit

    public void testBasicInherit()
                          throws Exception

  Throws:
    `Exception`

### testInheritWithInitialOverride

    public void testInheritWithInitialOverride()
                                        throws Exception

  Throws:
    `Exception`

### testInheritWithTypeOverride

    public void testInheritWithTypeOverride()
                                     throws Exception

  Throws:
    `Exception`

### testInheritWithTypeOverride2

    public void testInheritWithTypeOverride2()
                                      throws Exception

  Throws:
    `Exception`

### testInheritWithSizeOverride

    public void testInheritWithSizeOverride()
                                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.